Subject: bug#24525: closed (Re: bug#24525: autogen.sh fails in mingw64)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 25 Sep 2016 15:31:02 +0000

Your bug report

#24525: autogen.sh fails in mingw64

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24525: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24525
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24525: autogen.sh fails in mingw64
From: Eli Zaretskii <[email-masked]>
To: Vincent Semeria <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Sep 2016 18:31:10 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Vincent Semeria <[email-masked]>
> Date: Sun, 25 Sep 2016 17:14:09 +0200
> 
> Indeed that was the problem, thanks ! I now have compiled a 64-bit emacs-25.

OK, I will close the bug then.

> We might want to add a clearer warning at the beginning of autogen.sh when the autocrlf is not configured
> properly.

I agree it's a good idea.

> Also I noticed I cannot graphically open PDF files with it. Is there a compilation flag to activate for that ?

AFAIK, this requires Ghostscript to be installed, see doc-view.el.

Subject: autogen.sh fails in mingw64
From: Vincent Semeria <[email-masked]>
To: [email-masked]
Date: Sat, 24 Sep 2016 14:10:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I try to build branch emacs-25 (commit
f2819241bc93b641f13e1a04f3520fadb8ed53a8) on Windows 10. Following the
instructions of file nt/INSTALL.W64, autogen.sh gives me :

INCONNU@DESKTOP-RU9MU9H MINGW64 /c/emacs-git
$ ./autogen.sh
Checking whether you have the necessary tools...
(Read INSTALL.REPO for more details on building Emacs)
Checking for autoconf (need at least version 2.65)...
ok
Checking for automake (need at least version 1.11)...
ok
Your system has the required tools.
Running 'autoreconf -fi -I m4' ...
' is already registered with AC_CONFIG_FILES.
../../lib/autoconf/status.m4:288: AC_CONFIG_FILES is expanded from...
configure.ac:5374: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal-1.15: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1

It says my system has the required tools but fails to build anyway. Also
the error gives me litlle information about what went wrong.

Thanks,
Vincent